org.apache.ode.bpel.compiler.wsdl

## Class WSDLFactoryBPEL11

- java.lang.Object
- - javax.wsdl.factory.WSDLFactory
  - - org.apache.ode.bpel.compiler.wsdl.WSDLFactoryBPEL11

- All Implemented Interfaces:
    WSDLFactory4BPEL

      public class WSDLFactoryBPEL11
      extends javax.wsdl.factory.WSDLFactory
      implements WSDLFactory4BPEL

  Factory for `WSDLFactory` objects that are pre-configured to handle BPEL 2.0 extension elements.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `_bpwsNS` BPEL Namespace (`bpws`).
    `protected java.lang.String` | `_plnkNS` Partner Link Namespace (`plnk`).
    `protected java.lang.String` | `_propNS` Property and Alias Namespace (`plnk`).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WSDLFactoryBPEL11()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Definition4BPEL` | `narrow(javax.wsdl.Definition wsdlDef)` Create a `Definition4BPEL` object out of a standard WSDL `Definition`.
    `javax.wsdl.Definition` | `newDefinition()`
    `static javax.wsdl.factory.WSDLFactory` | `newInstance()`
    `javax.wsdl.extensions.ExtensionRegistry` | `newPopulatedExtensionRegistry()`
    `javax.wsdl.xml.WSDLReader` | `newWSDLReader()`
    `javax.wsdl.xml.WSDLWriter` | `newWSDLWriter()`

    - ### Methods inherited from class javax.wsdl.factory.WSDLFactory

      `newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ode.bpel.compiler.wsdl.WSDLFactory4BPEL

      `newDefinition, newWSDLReader, newWSDLWriter`

- - ### Field Detail

    - #### _bpwsNS

          protected java.lang.String _bpwsNS

      BPEL Namespace (`bpws`).

    - #### _plnkNS

          protected java.lang.String _plnkNS

      Partner Link Namespace (`plnk`).

    - #### _propNS

          protected java.lang.String _propNS

      Property and Alias Namespace (`plnk`).

  - ### Constructor Detail

    - #### WSDLFactoryBPEL11

          public WSDLFactoryBPEL11()

  - ### Method Detail

    - #### newInstance

          public static javax.wsdl.factory.WSDLFactory newInstance()

    - #### newPopulatedExtensionRegistry

          public javax.wsdl.extensions.ExtensionRegistry newPopulatedExtensionRegistry()

    - #### narrow

          public Definition4BPEL narrow(javax.wsdl.Definition wsdlDef)

      Create a `Definition4BPEL` object out of a standard WSDL `Definition`.
      Parameters:
        `wsdlDef` - WSDL `Definition`
      Returns:
        new `Definition4BPEL` object

    - #### newDefinition

          public javax.wsdl.Definition newDefinition()

      Specified by:
        `newDefinition` in interface `WSDLFactory4BPEL`
      Specified by:
        `newDefinition` in class `javax.wsdl.factory.WSDLFactory`

    - #### newWSDLReader

          public javax.wsdl.xml.WSDLReader newWSDLReader()

      Specified by:
        `newWSDLReader` in interface `WSDLFactory4BPEL`
      Specified by:
        `newWSDLReader` in class `javax.wsdl.factory.WSDLFactory`

    - #### newWSDLWriter

          public javax.wsdl.xml.WSDLWriter newWSDLWriter()

      Specified by:
        `newWSDLWriter` in interface `WSDLFactory4BPEL`
      Specified by:
        `newWSDLWriter` in class `javax.wsdl.factory.WSDLFactory`